.year-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0 0 20px 0;
}

h1 {
    margin-top: 0;
}

.year-title-container>* {
    text-align: center;
}

.year-date {
    opacity: 0.7;
}

.technos {
    padding-top: 1rem;
    justify-content: space-around;
    margin: 0 2rem;
    margin-bottom: 1rem;
}

/* NAVBAR */
.competences-navbar {
    display: flex;
    justify-content: center;
    margin: 0 0 20px 0;
    padding: 0 2rem;
    gap: 1rem;
    background-color: var(--color-20);
}

.tab {
    width: fit-content;
    padding: 0.5rem 1rem;
    border-radius: 5px;
    cursor: pointer;
    background-color: var(--color-60);
    border-bottom: 2px solid transparent;
    margin: 10px 0;
    transition: all 0.1s;
    box-sizing: border-box;
}

.tab.active,
.tab:hover {
    border-bottom: 2px solid var(--color-10);
}

.tab:hover {
    opacity: 0.7;
}

/* COMPETENCES */

.competences-title {
    margin: 10px 2rem;
}

.competence {
    margin: 0 2rem;
    display: none;
}

.competence.active {
    display: block;
}

.competence-title {
    text-align: center;
}

.competence h3 {
    margin-top: 4rem;
    font-size: 1.5rem;
    opacity: 0.85;
}

.competence h4 {
    margin-top: 0.5rem;
    opacity: 0.7;
    margin-left: 0.5rem;
    margin-bottom: 10px;
}

.competence p {
    opacity: 0.85;
    margin-left: 0.7rem;
}

ul {
    margin: 0;
    margin-bottom: 20px;
}

.competences-traces {
    display: grid;
    grid-template-columns: auto auto;
    width: 100%;
    height: fit-content;
    gap: 1rem;
}

.trace {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 1rem;
    background-color: var(--color-20);
    border-radius: 8px;
    align-items: center;
    max-height: 500px;
}

.trace img {
    width: 100%;
    max-width: 500px;
    max-height: 450px;
    object-position: center;
    object-fit: contain;
    border-radius: 5px;
}

.trace img:hover {
    cursor: pointer;
}


.modal {
    position: fixed;
    inset: 0;
    width: 100%;
    box-sizing: border-box;
    height: 100%;
    z-index: 1000;
    padding: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(5px);
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    position: relative;
    width: 95%;
    height: 95%;
    object-fit: contain;
}

.divider {
    width: 100%;
    height: 1px;
    background-color: var(--color-10);
    margin: 1rem 0;
}